Subject: Re: [alsa-devel] Build failure after merge of the sound-current

From: Mark Brown <[email-masked]>
Date: Tue, 17 Sep 2019 22:09:45 +0100

On Tue, Sep 17, 2019 at 11:02:07PM +0200, Takashi Iwai wrote:
> Pierre-Louis Bossart wrote:

> > Seems like a conflict with
> > 
> > af239c44e3f97 ('x86/intel: Aggregate big core mobile naming')

> > maybe we can have a temporary fix in the ASoC tree along the lines of

> Ah thanks, that's the piece I've missed.  The conflict appears *after*
> the merge with tip.  I have tested only the merge result with Linus
> tree, so it didn't appear in my build tests.

> Putting Linus to Cc, so that he can see the possible conflicts
> beforehand.

FWIW -next has been carrying the patch below (it was added against the
tip tree so I didn't notice it when it blew up today after takashi moved
the merge window stuff so the new code appears earlier in the merge
process), sorry about that.  I should start carrying it again tomorrow.

From 7e613e2a042c3cd7e3b69c11f52e046257ba5cbd Mon Sep 17 00:00:00 2001
From: Stephen Rothwell <[email-masked]>
Date: Thu, 29 Aug 2019 16:08:49 +1000
Subject: [PATCH] ASoC: Intel: boards: merge fix for INTEL_FAM6_KABYLAKE_MOBILE
 -> INTEL_FAM6_KABYLAKE_L change

Signed-off-by: Stephen Rothwell <[email-masked]>
Signed-off-by: Mark Brown <[email-masked]>
---
 sound/soc/intel/common/soc-intel-quirks.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sound/soc/intel/common/soc-intel-quirks.h b/sound/soc/intel/common/soc-intel-quirks.h
index e6357d306cb8..863a477d3405 100644
--- a/sound/soc/intel/common/soc-intel-quirks.h
+++ b/sound/soc/intel/common/soc-intel-quirks.h
@@ -36,7 +36,7 @@ SOC_INTEL_IS_CPU(byt, INTEL_FAM6_ATOM_SILVERMONT);
 SOC_INTEL_IS_CPU(cht, INTEL_FAM6_ATOM_AIRMONT);
 SOC_INTEL_IS_CPU(apl, INTEL_FAM6_ATOM_GOLDMONT);
 SOC_INTEL_IS_CPU(glk, INTEL_FAM6_ATOM_GOLDMONT_PLUS);
-SOC_INTEL_IS_CPU(cml, INTEL_FAM6_KABYLAKE_MOBILE);
+SOC_INTEL_IS_CPU(cml, INTEL_FAM6_KABYLAKE_L);
 
 static inline bool soc_intel_is_byt_cr(struct platform_device *pdev)
 {
-- 
2.20.1